/*!
**    Notice:  Gubby Copyright 2003 Christian Stigen Larsen
**    Author:  <csl@sublevel3.org>
**
**    $Id: curswin.h,v 1.4 2003/03/26 10:02:29 cslsublevel3org Exp $
**
**    This file is part of Gubby.
**
**    Gubby is free software; you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation; either version 2 of the License, or
**    (at your option) any later version.
**
**    Gubby is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with Gubby; if not, write to the Free Software
**    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**
*/

#ifndef USE_SLANG
#include <ncurses.h>
#else
#include <slang/slcurses.h>
#endif

#undef erase

class curswin {
	WINDOW* p_;
	int width_;
	int height_;
public:
	curswin();
	curswin(const int y, const int x);
	curswin(WINDOW* p);
	~curswin();

	inline WINDOW* ptr() const {
		return p_;
	}

	//! \return true if window was resized since last call
	bool resized();

	inline int width() const {
		return width_;
	}

	inline int height() const {
		return height_ ;
	}
	
private:
	curswin& operator=(const curswin& o);
};
