/*!
**    Notice:  Gubby Copyright 2003 Christian Stigen Larsen
**    Author:  <csl@sublevel3.org>
**
**    $Id: folders.h,v 1.13 2004/12/15 11:41:15 cslsublevel3org Exp $
**
**    This file is part of Gubby.
**
**    Gubby is free software; you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation; either version 2 of the License, or
**    (at your option) any later version.
**
**    Gubby is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with Gubby; if not, write to the Free Software
**    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**
*/

#include <vector>
#include <string>

#include "folder.h"
#include "grep.h"

class Folders : public std::vector<Folder>, private grep {
	std::string subj_;
	std::string from_;
	std::string newest_;
private:
	unsigned long total;
	unsigned long totalmail_() const;

	std::string chop_(std::string line, const std::string& needle) const;

	std::string chopmin_(std::string line, const std::string& needle) const {
		line.erase(0, needle.size());
		return line;
	}

	void found(const std::string& line, const int triggerno);

public:
	Folders();

	void read(const std::string& file);
	void write(const std::string& procmail_logfile);

	inline unsigned long totalmail() const {
		return total;
	}

	const std::string& newest() const {
		return newest_;
	}

	void remove(const std::string& foldername);

};
