/*!
**    Notice:  Gubby Copyright 2003 Christian Stigen Larsen
**    Author:  <csl@sublevel3.org>
**
**    $Id: curswin.cpp,v 1.3 2003/03/26 10:02:29 cslsublevel3org Exp $
**
**    This file is part of Gubby.
**
**    Gubby is free software; you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation; either version 2 of the License, or
**    (at your option) any later version.
**
**    Gubby is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with Gubby; if not, write to the Free Software
**    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**
*/

#include "curswin.h"

curswin::curswin() : width_(0), height_(0) {
	int x(0), y(0);
	getmaxyx(stdscr, y, x);
	p_ = newwin(y, x, 0, 0);

#ifndef USE_SLANG
	intrflush(p_, FALSE);
#endif
	keypad(p_, TRUE);
}

curswin::curswin(const int y, const int x)
	: p_( newwin(y, x, 0, 0) ), width_(0), height_(0)
{
#ifndef USE_SLANG
	intrflush(p_, FALSE);
#endif
	keypad(p_, TRUE);
}

curswin::curswin(WINDOW* p)
	: p_(p), width_(0), height_(0)
{
#ifndef USE_SLANG
	intrflush(p_, FALSE);
#endif
	keypad(p_, TRUE);
}

curswin::~curswin() {
	if ( p_ ) {
		wrefresh(p_);
		delwin(p_);
		p_ = 0;
	}
}


bool curswin::resized() {
	int x(0), y(0);
	getmaxyx(p_, y, x);

	if ( y!=height_|| x!=width_ ) {
		height_ = y;
		width_ = x;
		return true;
	}

	return false;
}
