/*!
**    Notice:  Gubby Copyright 2003 Christian Stigen Larsen
**    Author:  <csl@sublevel3.org>
**
**    $Id: grep.cpp,v 1.2 2003/03/14 13:58:56 cslsublevel3org Exp $
**
**    This file is part of Gubby.
**
**    Gubby is free software; you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation; either version 2 of the License, or
**    (at your option) any later version.
**
**    Gubby is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with Gubby; if not, write to the Free Software
**    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**
*/

#include "grep.h"

//! Finds lines _beginning_ with string needle. Calls virtual found() for each matching line.
bool grep::ismatch(const char* needle, const char* haystack) const {

	// True if needle equals haystack from left
	if ( *haystack != '\0' ) {
		while ( *(++needle) == *(++haystack) );
		return !*needle;
	}

	return false;
}

void grep::find(std::ifstream& haystack) {
	char buf[4096];

	if ( !haystack.fail() )
	while ( haystack.getline(buf, sizeof buf) ) {

		for ( std::vector<std::string>::const_iterator p=trig.begin();
			p!=trig.end(); ++p )
		{
			if ( ismatch((*p).c_str(), buf) )
				found( buf, p - trig.begin() );
		}
	}
}
