/*!
**    \file Main program functions
**
**    Notice:  Gubby Copyright 2003 Christian Stigen Larsen
**    Author:  <csl@sublevel3.org>
**
**    $Id: gubby.cpp,v 1.14 2003/04/01 10:29:19 cslsublevel3org Exp $
**
**    This file is part of Gubby.
**
**    Gubby is free software; you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation; either version 2 of the License, or
**    (at your option) any later version.
**
**    Gubby is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with Gubby; if not, write to the Free Software
**    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**
*/

#include "runscreen.h"

#ifdef GUBBYEXCEPTIONS
#include <exception>
#endif

#include <signal.h>
#include <string>
#include <iostream>

int main(int argc, char* argv[]) {
	signal(SIGINT, finish);
	signal(SIGSEGV, finish);

#if defined(GUBBYEXCEPTIONS)
	try {
#endif
		/*
		gubbyopts gb(argc, argv);
		gb.checkopts();

		Folders folders;
		screens scr(gb, folders);
		scr.run();
		*/
		runscreen(argc, argv);

		return 0;

#if defined(GUBBYEXCEPTIONS)
	}

	catch (std::string& s) {
		std::cerr << "Exception: " << s << std::endl;
	}

	catch (std::exception& e) {
		std::cerr << "Exception: " << e.what() << std::endl;
	}

	catch (...) {
		std::cerr << "Exception: Unknown" << std::endl;
	}

	return 1;
#endif
}

