/*!
**    Notice:  Gubby Copyright 2003 Christian Stigen Larsen
**    Author:  <csl@sublevel3.org>
**
**    $Id: gubbycfg.cpp,v 1.7 2004/12/15 11:41:15 cslsublevel3org Exp $
**
**    This file is part of Gubby.
**
**    Gubby is free software; you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation; either version 2 of the License, or
**    (at your option) any later version.
**
**    Gubby is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with Gubby; if not, write to the Free Software
**    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**
*/

#include "gubbycfg.h"

#include <iostream>
#include <fstream>

gubbycfg::gubbycfg()
	: mailexec("mutt"),
	mailprefix("-f"),
	maildir("$HOME/mail/"),
	mailcompose("-e 'unset autoedit' -s ''"),
	loop(true),
	clearlog(false),
	verbose(false),
	expanded(-1),
	widelisting(false),
	beep(false),
	nobeepdevnull(false),
	hidedevnull(false)
{
}

void gubbycfg::printversionline() const {
	std::cout << title << " " << version << " (" << year << "-" << date << ") " << std::endl;
}

void gubbycfg::printversion() const {
	printversionline();
	printauthor();
	std::cout << '\n';
	printlicense();
}

void gubbycfg::printlicense() const {
	std::cout <<
		"Copyright (C) " << year << " " << author << ".\n"
		"This is free software; see the source for copying conditions.  There is NO\n"
		"warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE."
	<< std::endl;
}

void gubbycfg::printauthor() const {
	std::cout << "Written by " << author << " <" << email << ">" << std::endl;
}

void gubbycfg::printurl() const {
	std::cout << title << " can be downloaded from " << url << std::endl;
}

void gubbycfg::clearlogfile() const {
	//std::ofstream f(logfile.c_str(), std::ios_base::trunc);
	std::ofstream f(logfile.c_str());
}
