/*!
**    Notice:  Gubby Copyright 2003 Christian Stigen Larsen
**    Author:  <csl@sublevel3.org>
**
**    $Id: guess.cpp,v 1.3 2003/03/31 20:54:19 cslsublevel3org Exp $
**
**    This file is part of Gubby.
**
**    Gubby is free software; you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation; either version 2 of the License, or
**    (at your option) any later version.
**
**    Gubby is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with Gubby; if not, write to the Free Software
**    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**
*/

#include "guess.h"
#include "exists.h"
#include "die.h"

void guess::found(const std::string& line, const int triggerno) {
	if ( triggerno == 0 ) {
		procmaillog = chop_(line, gettrigger(triggerno));

		std::string::size_type pos = procmaillog.find("$HOME");

		if ( pos != std::string::npos )
			procmaillog.replace(pos, 5, home);
	}
}

guess::guess()
	: home(getenv("HOME"))
{
	addtrigger("LOGFILE=");
	std::string path(home);
	path += "/.procmailrc";

	if ( !exists(path.c_str()) ) {
		std::string err("Could not find Procmail config file '");
		err += path;
		err += "'";

		die(err);
	}

	std::ifstream f( path.c_str() );
	find( f );
}

std::string guess::chop_(std::string line, const std::string& needle) const {
	line.erase(0, needle.size());
	return line;
}
