/*!
**    Notice:  Gubby Copyright 2003 Christian Stigen Larsen
**    Author:  <csl@sublevel3.org>
**
**    This file is part of Gubby.
**
**    $Id: initcurs.cpp,v 1.5 2003/03/21 16:50:23 cslsublevel3org Exp $
**
**    Gubby is free software; you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation; either version 2 of the License, or
**    (at your option) any later version.
**
**    Gubby is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with Gubby; if not, write to the Free Software
**    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**
*/

#include "initcurs.h"
#include "die.h"

void initcurs::init() {
	if ( initscr() != 0 ) {
		cbreak();
		noecho();
		nonl();
		halfdelay(4);
	} else
		die("Could not start up curses");

	colors = has_colors();

	if ( colors )
		start_color();
}

initcurs::initcurs()
	: colors(false) {
}

initcurs::~initcurs() {
	clear();
	endwin();
}

int initcurs::shell(const std::string& s) {
	def_prog_mode();
	endwin();
	int ret = system(s.c_str());
	return ret;
}	
