/*!
**    Notice:  Gubby Copyright 2003 Christian Stigen Larsen
**    Author:  <csl@sublevel3.org>
**
**    $Id: runscreen.cpp,v 1.2 2003/04/02 14:09:54 cslsublevel3org Exp $
**
**    This file is part of Gubby.
**
**    Gubby is free software; you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation; either version 2 of the License, or
**    (at your option) any later version.
**
**    Gubby is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with Gubby; if not, write to the Free Software
**    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**
*/

#include <signal.h>
#include "screens.h"

#ifndef USE_SLANG
#include <ncurses.h>
#undef erase
#else
#include <slang/slcurses.h>
#endif

const char* signals(const int n) {
	switch (n) {
	case SIGINT:
		return "SIGINT - Interrupt";

	case SIGSEGV:
		return "SIGSEGV - Segmentation fault";

	default:
		return "Unknown signal";
	}
}


//! Signal handler
/*static */void finish(int sig) {
	clear();
	endwin();
std::cerr << "Caught signal (" << signals(sig) << ")" << std::endl;
	exit(0);
}


void runscreen(int argc, char* argv[]) {
	gubbyopts gb(argc, argv);
	gb.checkopts();

	Folders folders;
	screens scr(gb, folders);
	scr.run();
}


